Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#1239 - uhttpd package comes with /etc/config/uhttpd file that is not in lua/luci-saved format #6192

Open
openwrt-bot opened this issue Dec 22, 2017 · 0 comments
Labels
flyspray packages

Comments

@openwrt-bot
Copy link

@openwrt-bot openwrt-bot commented Dec 22, 2017

mdbuerkle:

Supply the following if possible:

  • Device problem occurs on
  • Software versions of LEDE release, packages, etc.
  • Steps to reproduce

root@OpenWRT:# cat /etc/openwrt_release
DISTRIB_ID='OpenWrt'
DISTRIB_RELEASE='SNAPSHOT'
DISTRIB_REVISION='r5601-efa22b1'
DISTRIB_TARGET='ar71xx/generic'
DISTRIB_ARCH='mips_24kc'
DISTRIB_DESCRIPTION='OpenWrt SNAPSHOT r5601-efa22b1'
DISTRIB_TAINTS=''
root@OpenWRT:
# cat /etc/board.json
{
"model": {
"id": "tl-wdr4300",
"name": "TP-Link TL-WDR3600 v1"
},
...

to reproduce:

  • install lede
  • run lua/luci, modify configuration somehow and save, so that /etc/config/uhttpd is overwritten
  • flash corresponding sysupgrade.bin with "[x] keepsettings"
  • ssh root@OpenWRT.localnet opkg update
  • ssh root@OpenWRT.localnet opkg install luci-ssl strace snmpd snmp-mibs lsof rsyslog diffutils vim less

note in output:

Collected errors:

  • resolve_conffiles: Existing conffile /etc/config/uhttpd is different from the conffile in the new package. The new conffile will be placed at /etc/config/uhttpd-opkg.
  • resolve_conffiles: Existing conffile /etc/config/luci is different from the conffile in the new package. The new conffile will be placed at /etc/config/luci-opkg.

The contents of uhttpd-opkg and uhttpd are quite the same, the lua/luci version being without comments and with 'quoted' values (see attached file).

A resolution of "wont fix" would be absolutely acceptable.

Kind regards,
Dominik

@aparcar aparcar added the packages label Feb 22, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
flyspray packages
Projects
None yet
Development

No branches or pull requests

2 participants